အကြောင်းအရာသို့ ကျော်ရန်

try-on

ပေါင်းစည်းရန်

မော်ဒယ် id cat-vton
# Run the model; wait up to 20 s for the finished result in the same call
curl -X POST "https://api.doitong.com/v1/run/cat-vton?wait=20" \
  -H "Authorization: Bearer $DOITONG_API_KEY" \
  -H "Content-Type: application/json" \
  -d '{
    "human_image_url": "https://content.doitong.com/images/showcase/v3/gen_fox_cartoon.jpg",
    "garment_image_url": "https://content.doitong.com/images/showcase/v3/gen_fox_cartoon.jpg",
    "cloth_type": "upper"
  }'

# Still "queued" or "running"? Poll with the id from the response:
curl "https://api.doitong.com/v1/requests/REQUEST_ID?wait=20" \
  -H "Authorization: Bearer $DOITONG_API_KEY"

ဤတောင်းဆိုချက်: ≈၀.၀၁၈ $ ၁၈ API ခရက်ဒစ် ဤစာမျက်နှာတွင် လုပ်ဆောင်ရန်

API ကီး ရယူရန်
Open model ပုံတည်းဖြတ်ခြင်း #try-on#fashion#clothing

အဝတ်အစားပုံကို လူတစ်ဦး၏ဓာတ်ပုံပေါ်တွင် ဝတ်ဆင်ထားသကဲ့သို့ ပြုလုပ်ပေးသည့် အတုအယောင် ဝတ်စုံစမ်းသပ်မှု ဖြစ်ပြီး အဝတ်အစားအမျိုးအစားကို ရွေးချယ်နိုင်သည်

Open model · ပုံ

သင့်ပထမဆုံးရလဒ် ဤနေရာတွင် ပေါ်လာမည်

အောက်တွင် တောင်းဆိုချက်တစ်ခု တည်ဆောက်ပြီး သင့် API ကီးဖြင့် လုပ်ဆောင်ပါ။ ထွက်ရလဒ်များကို ကျွန်ုပ်တို့၏ သိုလှောင်မှုသို့ ကူးယူပြီး အမြဲတမ်း သို့မဟုတ် ၇ ရက် အခမဲ့ သိမ်းထားသည်။

တောင်းဆိုမှုတစ်ခု တည်ဆောက်ရန်

ထိန်းချုပ်မှုများကို မော်ဒယ် schema မှ အလိုအလျောက်ဖန်တီးသည်။ ၎င်းတို့ကို ပြောင်းလဲသည်နှင့် code နှင့် စျေးနှုန်းတို့လည်း ပြောင်းလဲမည်။

•လိုအပ်သည်
ဖိုင်ကို ဆွဲချပါ၊ သို့မဟုတ်

လူပုဂ္ဂိုလ်၏ ပုံသို့ ညွှန်ပြသော URL။

•လိုအပ်သည်
ဖိုင်ကို ဆွဲချပါ၊ သို့မဟုတ်

အဝတ်အစား၏ ပုံသို့ ညွှန်ပြသော URL။

cloth_type •လိုအပ်သည်

try-on အတွက် အဝတ်အစားအမျိုးအစား: upper သည် ကိုယ်အပေါ်ပိုင်းအဝတ်အစား၊ lower သည် ကိုယ်အောက်ပိုင်းအဝတ်အစား၊ overall သည် ကိုယ်အပြည့်အဝတ်အစား၊ inner သည် အတွင်းအလွှာဖြစ်ပြီး ဥပမာ ဂျာကင်အောက်မှ T-shirt၊ outer သည် အပြင်အလွှာဖြစ်ပြီး ဥပမာ T-shirt ကို ဖုံးအုပ်ထားသည့် ဂျာကင် ဖြစ်သည်။

image_size မူလ portrait_4_3

ဖန်တီးထားသောပုံ၏ အရွယ်အစား။

အဆင့်မြင့် num_inference_steps · guidance_scale · seed · enable_safety_checker
မူလ 30

လုပ်ဆောင်ရန် inference အဆင့်အရေအတွက်။

မူလ 2.5

ပုံရွေးချယ်မှုအတွက် ပရောမ့်လိုက်နာမှုအားကို CFG (Classifier Free Guidance) အဖြစ် ဖော်ပြထားသည်။

ပုံကို ပြန်လည်ထုတ်လုပ်နိုင်ရန် seed။ ပုံကို ပြန်လည်ထုတ်လုပ်ရန် seed၊ ထည့်သွင်းချက်နှင့် မော်ဒယ်ဗားရှင်းကို မပြောင်းလဲထားရမည်။ ထိုအခြေအနေများတွင် run တိုင်း ရလဒ်တူညီမည်။

POST /run/cat-vton?wait=20 ကုန်ကျစရိတ် → ၀.၀၁၈ $
# Run the model; wait up to 20 s for the finished result in the same call
curl -X POST "https://api.doitong.com/v1/run/cat-vton?wait=20" \
  -H "Authorization: Bearer $DOITONG_API_KEY" \
  -H "Content-Type: application/json" \
  -d '{
    "human_image_url": "https://content.doitong.com/images/showcase/v3/gen_fox_cartoon.jpg",
    "garment_image_url": "https://content.doitong.com/images/showcase/v3/gen_fox_cartoon.jpg",
    "cloth_type": "upper"
  }'

# Still "queued" or "running"? Poll with the id from the response:
curl "https://api.doitong.com/v1/requests/REQUEST_ID?wait=20" \
  -H "Authorization: Bearer $DOITONG_API_KEY"

ဤတောင်းဆိုချက်ကို လုပ်ဆောင်ရန်

သင့် key သည် ဤဘရောက်ဇာထဲတွင်သာ ရှိမည်ဖြစ်ပြီး Doitong API သို့သာ ပို့မည်။ Remember ကို အမှန်ခြစ်ထားမှသာ (localStorage) တွင် သိမ်းမည်။ API ကီး ရယူရန်

try-on အကြောင်း

သတ်မှတ်ထားသော အဝတ်အစားကို ဝတ်ဆင်ထားသည့် လူပုံကို ပုံဖော်ပေးသည်။ `human_image_url`, `garment_image_url` နှင့် `cloth_type` လိုအပ်ပြီး upper, lower, overall, inner သို့မဟုတ် outer ဖြစ်နိုင်သည်။ ထွက်ရလဒ်အရွယ်အစားကို portrait_4_3 သို့မဟုတ် square_hd ကဲ့သို့ ကြိုတင်သတ်မှတ်ချက်များဖြင့် သတ်မှတ်သည်။ `num_inference_steps` (1 မှ 50 အထိ), `guidance_scale` နှင့် စီးဒ်တို့ကို ချိန်ညှိနိုင်သည်။

ပါရာမီတာများ

အမည်အမျိုးအစား မူလတန်ဖိုးခွင့်ပြုထားသည် ဖော်ပြချက်
human_image_urlလိုအပ်သည်
အမျိုးအစားurl · image
လူပုဂ္ဂိုလ်၏ ပုံသို့ ညွှန်ပြသော URL။
garment_image_urlလိုအပ်သည်
အမျိုးအစားurl · image
အဝတ်အစား၏ ပုံသို့ ညွှန်ပြသော URL။
cloth_typeလိုအပ်သည်
အမျိုးအစားenum
upperloweroverallinnerouter
try-on အတွက် အဝတ်အစားအမျိုးအစား: upper သည် ကိုယ်အပေါ်ပိုင်းအဝတ်အစား၊ lower သည် ကိုယ်အောက်ပိုင်းအဝတ်အစား၊ overall သည် ကိုယ်အပြည့်အဝတ်အစား၊ inner သည် အတွင်းအလွှာဖြစ်ပြီး ဥပမာ ဂျာကင်အောက်မှ T-shirt၊ outer သည် အပြင်အလွှာဖြစ်ပြီး ဥပမာ T-shirt ကို ဖုံးအုပ်ထားသည့် ဂျာကင် ဖြစ်သည်။
image_sizeရွေးချယ်နိုင်သည်
အမျိုးအစားobject
မူလတန်ဖိုးportrait_4_3
square_hdsquareportrait_4_3portrait_16_9landscape_4_3landscape_16_9
ဖန်တီးထားသောပုံ၏ အရွယ်အစား။
num_inference_stepsရွေးချယ်နိုင်သည်
အမျိုးအစားinteger
မူလတန်ဖိုး30
၁ – ၅၀
လုပ်ဆောင်ရန် inference အဆင့်အရေအတွက်။
guidance_scaleရွေးချယ်နိုင်သည်
အမျိုးအစားnumber
မူလတန်ဖိုး2.5
၀ – ၂၀
ပုံရွေးချယ်မှုအတွက် ပရောမ့်လိုက်နာမှုအားကို CFG (Classifier Free Guidance) အဖြစ် ဖော်ပြထားသည်။
seedရွေးချယ်နိုင်သည်
အမျိုးအစားinteger | null
ပုံကို ပြန်လည်ထုတ်လုပ်နိုင်ရန် seed။ ပုံကို ပြန်လည်ထုတ်လုပ်ရန် seed၊ ထည့်သွင်းချက်နှင့် မော်ဒယ်ဗားရှင်းကို မပြောင်းလဲထားရမည်။ ထိုအခြေအနေများတွင် run တိုင်း ရလဒ်တူညီမည်။
enable_safety_checkerရွေးချယ်နိုင်သည်
အမျိုးအစားboolean
မူလတန်ဖိုးtrue
caller က ခွင့်ပြုချက်ရှိပါက false သတ်မှတ်ခြင်းဖြင့် စစ်ဆေးမှုကို လျှော့ချနိုင်သည်။
လိုအပ်သည်

ဖိုင်ပါရာမီတာများသည် အများပြည်သူသုံး https:// URL၊ 10 MB အထိ data: URI သို့မဟုတ် အပ်လုဒ်လုပ်ထားသောဖိုင်၏ file_url ကို လက်ခံသည်။ ဖိုင်များ

ထွက်ရလဒ်

GET /requests/req_8k2m4q7x1z9c3v5b6n0p2r4t
{
  "id": "req_8k2m4q7x1z9c3v5b6n0p2r4t",
  "object": "request",
  "model": "cat-vton",
  "status": "succeeded",
  "created_at": "2026-10-20T12:00:00Z",
  "started_at": "2026-10-20T12:00:02Z",
  "completed_at": "2026-10-20T12:00:09Z",
  "queue_position": null,
  "cost": {
    "credits": 18,
    "usd": "0.018",
    "charged": 18,
    "refunded": 0
  },
  "input": {
    "human_image_url": "https://content.doitong.com/images/showcase/v3/gen_fox_cartoon.jpg",
    "garment_image_url": "https://content.doitong.com/images/showcase/v3/gen_fox_cartoon.jpg",
    "cloth_type": "upper"
  },
  "output": {
    "image": {
      "url": "https://content.doitong.com/dev-api/2026/10/20/req_8k2m4q7x1z9c3v5b6n0p2r4t/0-output.jpeg",
      "content_type": "image/jpeg",
      "file_name": "0-output.jpeg",
      "file_size": 1843200,
      "width": 1024,
      "height": 768
    }
  },
  "outputs": [
    {
      "type": "image",
      "url": "https://content.doitong.com/dev-api/2026/10/20/req_8k2m4q7x1z9c3v5b6n0p2r4t/0-output.jpeg",
      "content_type": "image/jpeg",
      "file_size": 1843200,
      "width": 1024,
      "height": 768,
      "stored": true
    }
  ],
  "error": null,
  "metrics": {
    "inference_seconds": 6.8
  },
  "urls": {
    "self": "https://api.doitong.com/v1/requests/req_8k2m4q7x1z9c3v5b6n0p2r4t",
    "cancel": "https://api.doitong.com/v1/requests/req_8k2m4q7x1z9c3v5b6n0p2r4t/cancel"
  }
}
သင့်ဖိုင်များ၊ သင့်ရွေးချယ်မှုoutputs[].url တိုင်းသည် ကျွန်ုပ်တို့၏ သိုလှောင်မှုရှိ မိတ္တူဖြစ်သည်- အမြဲတမ်း (GB-month အလိုက် ငွေပေးရသည်) သို့မဟုတ် ၇ ရက် အခမဲ့၊ သင့်အကောင့်ဆက်တင် သို့မဟုတ် ?storage= ဖြင့် သိမ်းထားသည်။
မော်ဒယ်တိုင်းတွင် ပုံစံတူပုံ၊ ဗီဒီယိုနှင့် အသံတို့အတွက် type၊ url၊ content_type၊ width၊ height နှင့် duration။ output သည် မော်ဒယ်ကိုယ်တိုင်၏ ရလဒ် object ဖြစ်သည်။
ထွက်ရလဒ်၏ Fields များ
image
object {url, content_type, file_name, file_size, width, height}ထွက်ရလဒ်အဖြစ် ထုတ်လုပ်ထားသောပုံ။

AI အေးဂျင့်များအတွက်- ဤစာမျက်နှာ၏ Markdown ကို ဤနေရာတွင် ရရှိနိုင်သည် https://doitong.com/my/developers/models/cat-vton.md. မော်ဒယ်များနှင့် လမ်းညွှန်များအားလုံး: https://doitong.com/developers/llms.txt